Bug 1128582 - Exceptions are raised when powering off the vm during Live Storage Migration
Summary: Exceptions are raised when powering off the vm during Live Storage Migration
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Pavel Stehlik
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 07:15 UTC by Raz Tamir
Modified: 2016-02-10 19:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 08:10:32 UTC
oVirt Team: Storage


Attachments (Terms of Use)
engine log (764.74 KB, text/plain)
2014-08-11 07:15 UTC, Raz Tamir
no flags Details

Description Raz Tamir 2014-08-11 07:15:16 UTC
Created attachment 925632 [details]
engine log

Description of problem:
VDSGenericException, VDSErrorException and VdcBLLException occurs when poring off a vm during a live storage migration


Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch


How reproducible:
100%

Steps to Reproduce:
1. Power off a vm during LSM
2.
3.

Actual results:
The above exceptions are raised

Expected results:
Should work with no exceptions

Additional info:

Comment 1 Allon Mureinik 2014-08-11 07:48:54 UTC
Not sure it's worth the hassle - Daniel, please review?

Comment 2 Daniel Erez 2014-08-11 15:39:59 UTC
On a failure of VdsCommand, we usually display the stack trace in the log for error investigation needs.
@Allon - do you think we should obscure it specifically on live snapshot failure?

Comment 3 Allon Mureinik 2014-08-12 08:10:32 UTC
(In reply to Daniel Erez from comment #2)
> On a failure of VdsCommand, we usually display the stack trace in the log
> for error investigation needs.
> @Allon - do you think we should obscure it specifically on live snapshot
> failure?
No.

Comment 4 Aharon Canan 2014-08-12 15:24:14 UTC
guys, 

This is a bug but I agree the severity is low and not high, 
also we can go with wontfix instead notabug.

maybe we should keep it to futurerelease?

Comment 5 Allon Mureinik 2014-08-12 20:06:31 UTC
(In reply to Aharon Canan from comment #4)
> guys, 
> 
> This is a bug but I agree the severity is low and not high, 
> also we can go with wontfix instead notabug.
> 
> maybe we should keep it to futurerelease?
Any VDS command can fail at any point in time if the VM is shut down unexpectedly - hotplug, hibernate, live snapshot, migrate - you name it.
In case this happens, we'd want the stacktrace in the log in order to investigate.


Note You need to log in before you can comment on or make changes to this bug.